// 下列 ifdef 块是创建使从 DLL 导出更简单的
// 宏的标准方法。此 DLL 中的所有文件都是用命令行上定义的 BOMBAX_EXPORTS
// 符号编译的。在使用此 DLL 的
// 任何其他项目上不应定义此符号。这样，源文件中包含此文件的任何其他项目都会将
// BOMBAX_API 函数视为是从 DLL 导入的，而此 DLL 则将用此宏定义的
// 符号视为是被导出的。
#ifdef BOMBAX_EXPORTS
#define BOMBAX_API __declspec(dllexport)
#else
#define BOMBAX_API __declspec(dllimport)
#endif


#include <sst\ucut.h>


//运动卡厂家ID
#define ROB_MID_MTIME      1
#define ROB_MID_GGL_PCI    2
#define ROB_MID_ZMOT       3
#define ROB_MID_GGL_ECAT   4


 
//授权硬件
//deviceType: 0-相机
#define BBX_AH_CAMERA    0

////frontgate.usr
//如strModels有多个model，使用分号(;)隔开
//如strFilePath或strModels为空，使用trial类型的许可
//BOMBAX_API BOOL bbxAuthorizeHardware(int deviceType, const char* strModels, const char* strFilePath);

 //许可文件
////activate.dat
//如strActivateFile为NULL , 使用尝试默认trial许可
BOMBAX_API BOOL   bbxInitLib(const TCHAR* strActivateFile, BOOL bNoPrompt);
BOMBAX_API BOOL   bbxIsActivated( );

BOMBAX_API void   bbxReleaseLib();


#define  BBX_MAX_FILED_TEXT_LEN  1203
int get_filed_value(const TCHAR* _strArgs, const TCHAR* strName, TCHAR* strValue, int valueSize);

 
#define MIN_SPEED   10

 //最小速度允许等于0
#define CHECK_MIN_MAX_HOME_SPEED( _mns,  _mxs )  \
{  \
	if (_mxs <= 0){\
		_mxs = _mns; \
	}\
	if (_mxs <=0){\
	    _mns =  MIN_SPEED;\
		_mxs =  MIN_SPEED +  MIN_SPEED / 5;\
	}\
	else if (_mns > _mxs){\
	    _mns = _mxs ;\
	}\
}

